<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/bottomContainer"
    android:layout_width="match_parent"
    android:layout_height="56dp"
    android:layout_alignParentBottom="true"
    android:background="@color/background_white"
    android:clickable="true"
    android:focusable="true"
    tools:showIn="@layout/fragment_article_detail">

    <View
        android:id="@+id/divider"
        android:layout_width="match_parent"
        android:layout_height="1px"
        android:background="@color/divider"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/replyTv"
        android:layout_width="0dp"
        android:layout_height="32dp"
        android:layout_marginLeft="16dp"
        android:layout_marginRight="28dp"
        android:background="@drawable/bg_shape_space2_radius_999"
        android:gravity="center_vertical"
        android:includeFontPadding="false"
        android:maxLines="1"
        android:paddingLeft="16dp"
        android:paddingRight="16dp"
        android:textColor="@color/text_body"
        android:textSize="14sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@id/bottomCommentIv"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="说点什么吧~" />

    <ImageView
        android:id="@+id/bottomShareIv"
        android:layout_width="20dp"
        android:layout_height="20dp"
        android:layout_gravity="center"
        android:layout_marginRight="24dp"
        android:src="@drawable/ic_game_collection_detail_share_bottom_bar"
        app:layout_constraintBottom_toTopOf="@+id/bottomShareTv"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_chainStyle="packed" />

    <TextView
        android:id="@+id/bottomShareTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="2dp"
        android:gravity="center"
        android:text="分享"
        android:textColor="@color/text_subtitle"
        android:textSize="10sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="@+id/bottomShareIv"
        app:layout_constraintStart_toStartOf="@+id/bottomShareIv"
        app:layout_constraintTop_toBottomOf="@+id/bottomShareIv" />

    <androidx.constraintlayout.widget.Group
        android:id="@+id/bottomShareGroup"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:visibility="gone"
        app:constraint_referenced_ids="bottomShareIv,bottomShareTv" />

    <ImageView
        android:id="@+id/bottomLikeIv"
        android:layout_width="20dp"
        android:layout_height="20dp"
        android:layout_gravity="center"
        android:layout_marginRight="24dp"
        android:src="@drawable/ic_article_detail_like_bottom_bar"
        app:layout_constraintBottom_toTopOf="@+id/bottomLikeTv"
        app:layout_constraintRight_toLeftOf="@+id/bottomShareIv"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_chainStyle="packed" />

    <TextView
        android:id="@+id/bottomLikeTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="2dp"
        android:gravity="center"
        android:text="赞同"
        android:textColor="@color/text_subtitle"
        android:textSize="10sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="@+id/bottomLikeIv"
        app:layout_constraintStart_toStartOf="@+id/bottomLikeIv"
        app:layout_constraintTop_toBottomOf="@+id/bottomLikeIv" />

    <ImageView
        android:id="@+id/bottomStarIv"
        android:layout_width="20dp"
        android:layout_height="20dp"
        android:layout_gravity="center"
        android:layout_marginRight="28dp"
        android:src="@drawable/ic_article_detail_star_bottom_bar"
        app:layout_constraintBottom_toTopOf="@+id/bottomStarTv"
        app:layout_constraintRight_toLeftOf="@+id/bottomLikeIv"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_chainStyle="packed" />

    <TextView
        android:id="@+id/bottomStarTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="2dp"
        android:gravity="center"
        android:text="收藏"
        android:textColor="@color/text_subtitle"
        android:textSize="10sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="@+id/bottomStarIv"
        app:layout_constraintStart_toStartOf="@+id/bottomStarIv"
        app:layout_constraintTop_toBottomOf="@+id/bottomStarIv" />

    <ImageView
        android:id="@+id/bottomCommentIv"
        android:layout_width="20dp"
        android:layout_height="20dp"
        android:layout_gravity="center"
        android:layout_marginRight="28dp"
        app:layout_constraintLeft_toRightOf="@+id/replyTv"
        android:src="@drawable/ic_article_detail_comment_bottom_bar"
        app:layout_constraintBottom_toTopOf="@+id/bottomCommentTv"
        app:layout_constraintRight_toLeftOf="@+id/bottomStarIv"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_chainStyle="packed" />

    <TextView
        android:id="@+id/bottomCommentTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="2dp"
        android:gravity="center"
        android:text="评论"
        android:textColor="@color/text_subtitle"
        android:textSize="10sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="@+id/bottomCommentIv"
        app:layout_constraintStart_toStartOf="@+id/bottomCommentIv"
        app:layout_constraintTop_toBottomOf="@+id/bottomCommentIv" />
</androidx.constraintlayout.widget.ConstraintLayout>